//
//  SecondViewController.swift
//  StoryboardSpielplatz
//
//  Created by Holger Hinzberg on 29.04.15.
//  Copyright (c) 2015 Holger Hinzberg. All rights reserved.
//

import UIKit

class SecondViewController: UIViewController
{
    override func viewDidLoad()
    {
        super.viewDidLoad()
        print(__FUNCTION__ + " - Die Szene wurde geladen.")
    }
    
    override func viewWillAppear(animated: Bool)
    {
        super.viewWillAppear(animated)
        print(__FUNCTION__ + " - Die Szene soll angezeigt werden.")
    }
    
    override func viewDidAppear(animated: Bool)
    {
        super.viewDidAppear(animated)
        print(__FUNCTION__ + " - Die Szene wird angezeigt.")
    }
    
    required init?(coder aDecoder: NSCoder)
    {
        super.init(coder: aDecoder)
        print(__FUNCTION__ + " - Die Szene wird initialisiert.")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func returnButtonTouched(sender: AnyObject)
    {
        dismissViewControllerAnimated(true, completion: nil)
    }
    
     deinit
    {
        print(__FUNCTION__ + " - Speicher wird freigegeben.")
    }
    
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
